
QGIS Application - Bug report #21866

Crash after launching Field Calculator or Select Features with Expression

2019-04-17 08:50 AM - Przemek Garasz

Status: Closed

Priority: High

Assignee:

Category: Field calculator

Affected QGIS version:3.6.1 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29681

Description

Whenever I press "Field Calculator" icon or "Select Features with Expression", no matter main taskbar or inside a table, QGIS crashes.

This started to happen after upgrade from 3.4 to 3.6. QGIS is installed through OSGeo4W on W10.

Crash ID: a5fd3076ee6820a3be41f0cfc69aa8f8653529e3

Stack Trace

QBitArray::QBitArray :

QgsVirtualLayerDefinition::SourceLayer::source :

QgsExpressionBuilderWidget::updateFunctionTree :

QgsExpressionBuilderWidget::QgsExpressionBuilderWidget :

QgsFieldCalculator::setPrecisionMinMax :

QgsFieldCalculator::QgsFieldCalculator :

QgisApp::fieldCalculator :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

2024-04-16 1/2



QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.1-Noosa

QGIS code revision: 2468226bc9

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-04-18 02:47 PM - Giovanni Manghi

- Priority changed from Normal to High

- Category changed from GUI to Field calculator

Can you try with a new/clean qgis profile and no 3rd party plugins installed? thanks.

#2 - 2019-04-18 06:37 PM - Przemek Garasz

- Status changed from Open to Closed

Disabling the plugins alone helped. Then I enabled all the plugins one by one to see which one is it, and to my surprise, it turned out it's the Processing

plugin.

A fresh profile does not crash with Processing enabled, so something must have gone corrupt in mine.

Thanks!
